Subject: RE: [seamoby] Micro-mobility Issues for IESG to Consider

From: Kulwinder Atwal <[email-masked]>
Date: Thu, 15 Mar 2001 12:00:15 -0500

> -----Original Message-----
> From: Charles E. Perkins [mailto:[email-masked]]
> Sent: Thursday, March 15, 2001 11:27 AM
> To: Kulwinder Atwal
> Cc: [email-masked]
> Subject: Re: [seamoby] Micro-mobility Issues for IESG to Consider
> 
> 
> 
> Hello,
> 
> I guess I count as a Mobile IP proponent, insofar as I want
> to be sure that the "micromobility" (still dislike that term)
> proposal should work well with Mobile IP.
> 

> The merits are those of Mobile IP, which are supposed to include:
> - seamless mobility, except that now that term is becoming
>   more closely associated with the [seamoby] working group
> - "always-on" operation for a node
> - global reachability for mobile nodes with global IP addresses
> 
> If you don't care about "always on", or global IP addressability,
> then you can do with less, but I always wonder about why.
> 

It depends on what is meant by 'always on'.  
Is it full power mode with fast response?
Is it low Power mode with fast response?
Is it low power mode with slow response?

How long can a device take to wake-up and respond to still be considered
'always on'?

> Charlie P.

---

From: "Charles E. Perkins" <[email-masked]>
Date: Thu, 15 Mar 2001 09:09:45 -0800

Hello,

> How long can a device take to wake-up and respond to still be considered

This should properly be considered as a problem area outside
the domain of Mobile IP.  Mobile IP is a routing area protocol.
It was not designed to be used as a power control mechanism,
nor a paging protocol.  Mobile IP does not specifically handle
fast/slow response considerations; for IPv4, it only manages the
details needed for tunnel establishment to a care-of address.

On the other hand, I think that additional control mechanisms
can be built for the features, that still work well with Mobile
IP, but are separate from Mobile IP.  If interactions need to
be designed, that would be a good topic for discussion, once the
interactions are identified.

Regards,
Charlie P.